import { d as ue, V as ce, e as pe, u as de, ar as me, r as s, aw as _e, h as T, o as b, j as e, w as t, U as fe, M as ge, p as D, A as f, l as n, cb as ve, ds as g, W as he, H as xe, B as v, N as we, an as ye, hJ as Ce, h4 as ke, h3 as Te, ae as be, k as De, cB as Ie, F as M, a9 as Fe, X as Pe, cr as Re, __tla as __tla_0 } from "./index-9PRMimni.js";
import { _ as Se } from "./fiveDasboard.vue_vue_type_script_setup_true_lang-CUuDmJ0q.js";
import { _ as Ye } from "./timeLine.vue_vue_type_script_setup_true_lang-DgGXyo0K.js";
import { c as Ne, g as Me } from "./plan-n8bSdRD5.js";
import { f as Ae } from "./group-DxznlajQ.js";
import { _ as Ee, __tla as __tla_1 } from "./Modal.vue_vue_type_script_setup_true_lang-XfZniPKp.js";
import { _ as Le } from "./ExtensionModal.vue_vue_type_script_setup_true_lang-CiIx2VOU.js";
import { _ as $e } from "./Flex-CTSf12gq.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./TimelineItem-Bkds7ZW8.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./planner-BebmniHR.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
let wt;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    let Be;
    Be = {
        class: "p-1 ml-1 w-full mt-1 text-center border"
    };
    wt = ue({
        __name: "fiveYear",
        setup (Oe) {
            const { t: o } = ce(), A = pe(), h = de(), I = me(), u = new Date().getFullYear(), E = new Date(u, 0, 1).getTime(), m = s(""), L = s(!1), p = s(!1), x = s(""), F = s(), $ = s(null), B = s(E), w = s(), P = s([]), R = s([]), d = s({}), O = s([
                new Date(u, 0),
                new Date(u + 4, 0)
            ]), j = (a)=>{
                const l = O.value[0].getFullYear(), C = l + 4, r = a.getFullYear();
                return r < l || r > C;
            }, U = s(), y = s(), H = s();
            function V(a, l) {
                a === "auditLog" ? Q() : a === "delete" ? X() : a === "edit" ? z() : A.push({
                    name: "Assigned_Report_Content_shore",
                    params: {
                        id: l
                    }
                });
            }
            function W({ option: a }) {
                return {
                    onClick () {
                        d.value = a;
                    }
                };
            }
            function J() {
                if (Object.keys(d.value).length === 0) {
                    h.error(`${o("drill.addPlan.errorText")}`);
                    return;
                }
                y.value?.showModal();
            }
            function z() {
                if (Object.keys(d.value).length === 0) {
                    h.error(`${o("drill.addPlan.errorText")}`);
                    return;
                }
                y.value?.showModal();
            }
            function X() {
                I.warning({
                    title: o("common.dialogTitleWarning"),
                    content: o("common.dialogContentDeleteText"),
                    positiveText: o("common.dialogPositiveText"),
                    negativeText: o("common.dialogNegativeText"),
                    draggable: !0,
                    onPositiveClick: ()=>{},
                    onNegativeClick: ()=>{}
                });
            }
            function q() {
                I.warning({
                    title: o("common.optionsApproveText"),
                    content: o("drill.addPlan.approvedSure"),
                    positiveText: o("common.saveText"),
                    negativeText: o("common.closeText"),
                    draggable: !0,
                    onPositiveClick: ()=>{
                        Z();
                    },
                    onNegativeClick: ()=>{}
                });
            }
            function G() {
                p.value = !0;
            }
            function K() {
                h.warning("功能完善中...");
            }
            function Q() {
                F.value.openModal();
            }
            async function Z() {
                let a = await Ne({
                    id: "24",
                    exerciseShipId: "180",
                    moduleCode: "Singleshipexercise",
                    approvalStatus: "3"
                });
                console.log(a);
            }
            function ee() {
                console.log(B, "时间戳");
            }
            function S() {
                ee();
            }
            function te() {
                p.value = !0;
            }
            function ne(a) {
                $.value = a;
            }
            async function oe() {
                try {
                    const a = await Me(), l = await Ae();
                    P.value = a, R.value = l, console.log(l, "--getPlanShipsList-");
                } catch  {}
            }
            return _e(()=>{
                oe();
            }), (a, l)=>{
                const C = ve, r = ge, _ = we, c = xe, le = $e, ae = he, k = fe, Y = be, N = De, se = Ie, re = Pe, ie = Re;
                return b(), T(M, null, [
                    e(re, null, {
                        default: t(()=>[
                                e(k, {
                                    cols: "8",
                                    responsive: "screen",
                                    "y-gap": 8
                                }, {
                                    default: t(()=>[
                                            e(r, {
                                                span: "5",
                                                class: "font-bold space-around flex"
                                            }, {
                                                default: t(()=>[
                                                        D(f(n(o)("Ship-shore Joint Exercise Plan(Five Years) ")) + " ", 1),
                                                        e(C, {
                                                            style: {
                                                                width: "50%"
                                                            },
                                                            type: "yearrange",
                                                            value: n(w),
                                                            "onUpdate:value": l[0] || (l[0] = (i)=>g(w) ? w.value = i : null),
                                                            "default-value": [
                                                                new Date(n(u), 0),
                                                                new Date(n(u) + 4, 0)
                                                            ],
                                                            "disabled-date": j
                                                        }, null, 8, [
                                                            "value",
                                                            "default-value"
                                                        ])
                                                    ]),
                                                _: 1
                                            }),
                                            e(r, {
                                                span: "3"
                                            }, {
                                                default: t(()=>[
                                                        e(ae, {
                                                            class: "ml-1 mt-1 proCard",
                                                            bordered: !1
                                                        }, {
                                                            default: t(()=>[
                                                                    e(le, {
                                                                        justify: "end"
                                                                    }, {
                                                                        default: t(()=>[
                                                                                e(c, null, {
                                                                                    default: t(()=>[
                                                                                            e(n(v), {
                                                                                                type: "primary",
                                                                                                onClick: K
                                                                                            }, {
                                                                                                icon: t(()=>[
                                                                                                        e(_, null, {
                                                                                                            default: t(()=>[
                                                                                                                    e(n(ye))
                                                                                                                ]),
                                                                                                            _: 1
                                                                                                        })
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ]),
                                                                                    _: 1
                                                                                }),
                                                                                e(c, null, {
                                                                                    default: t(()=>[
                                                                                            e(n(v), {
                                                                                                type: "primary",
                                                                                                onClick: q
                                                                                            }, {
                                                                                                icon: t(()=>[
                                                                                                        e(_, null, {
                                                                                                            default: t(()=>[
                                                                                                                    e(n(Ce))
                                                                                                                ]),
                                                                                                            _: 1
                                                                                                        })
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ]),
                                                                                    _: 1
                                                                                }),
                                                                                e(c, null, {
                                                                                    default: t(()=>[
                                                                                            e(n(v), {
                                                                                                type: "primary",
                                                                                                onClick: G
                                                                                            }, {
                                                                                                icon: t(()=>[
                                                                                                        e(_, null, {
                                                                                                            default: t(()=>[
                                                                                                                    e(n(ke))
                                                                                                                ]),
                                                                                                            _: 1
                                                                                                        })
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ]),
                                                                                    _: 1
                                                                                }),
                                                                                e(c, null, {
                                                                                    default: t(()=>[
                                                                                            e(n(v), {
                                                                                                type: "primary",
                                                                                                onClick: J
                                                                                            }, {
                                                                                                icon: t(()=>[
                                                                                                        e(_, null, {
                                                                                                            default: t(()=>[
                                                                                                                    e(n(Te))
                                                                                                                ]),
                                                                                                            _: 1
                                                                                                        })
                                                                                                    ]),
                                                                                                _: 1
                                                                                            })
                                                                                        ]),
                                                                                    _: 1
                                                                                })
                                                                            ]),
                                                                        _: 1
                                                                    })
                                                                ]),
                                                            _: 1
                                                        })
                                                    ]),
                                                _: 1
                                            })
                                        ]),
                                    _: 1
                                }),
                                e(k, {
                                    cols: "8",
                                    responsive: "screen",
                                    "y-gap": 8
                                }, {
                                    default: t(()=>[
                                            e(r, {
                                                span: "1"
                                            }, {
                                                default: t(()=>[
                                                        e(Y, {
                                                            class: "w-full mb-2 mt-1 h-9 text-center font-bold",
                                                            color: {
                                                                color: "#F3FCFB",
                                                                textColor: "#555",
                                                                borderColor: "#E6E8F0"
                                                            }
                                                        }, {
                                                            default: t(()=>[
                                                                    D(f(n(o)("drill.addPlan.leftTitle")), 1)
                                                                ]),
                                                            _: 1
                                                        }),
                                                        e(c, {
                                                            vertical: "",
                                                            size: 12
                                                        }, {
                                                            default: t(()=>[
                                                                    e(N, {
                                                                        value: n(m),
                                                                        "onUpdate:value": l[1] || (l[1] = (i)=>g(m) ? m.value = i : null),
                                                                        placeholder: n(o)("search ship")
                                                                    }, null, 8, [
                                                                        "value",
                                                                        "placeholder"
                                                                    ]),
                                                                    e(se, {
                                                                        pattern: n(m),
                                                                        data: n(P),
                                                                        "show-irrelevant-nodes": n(L),
                                                                        "default-expand-all": "",
                                                                        "virtual-scroll": "",
                                                                        "label-field": "shipName",
                                                                        "key-field": "id",
                                                                        style: {
                                                                            height: "300px"
                                                                        },
                                                                        "node-props": W,
                                                                        "block-line": ""
                                                                    }, null, 8, [
                                                                        "pattern",
                                                                        "data",
                                                                        "show-irrelevant-nodes"
                                                                    ])
                                                                ]),
                                                            _: 1
                                                        })
                                                    ]),
                                                _: 1
                                            }),
                                            e(r, {
                                                span: "7"
                                            }, {
                                                default: t(()=>[
                                                        e(c, {
                                                            vertical: ""
                                                        }, {
                                                            default: t(()=>[
                                                                    e(k, {
                                                                        cols: "6",
                                                                        responsive: "screen"
                                                                    }, {
                                                                        default: t(()=>[
                                                                                e(r, {
                                                                                    span: "1"
                                                                                }, {
                                                                                    default: t(()=>[
                                                                                            e(Y, {
                                                                                                class: "w-full mt-1 ml-1 h-9 text-center font-bold",
                                                                                                color: {
                                                                                                    color: "#F3FCFB",
                                                                                                    textColor: "#555",
                                                                                                    borderColor: "#E6E8F0"
                                                                                                }
                                                                                            }, {
                                                                                                default: t(()=>[
                                                                                                        D(f(n(o)("Drill Item")), 1)
                                                                                                    ]),
                                                                                                _: 1
                                                                                            }),
                                                                                            (b(!0), T(M, null, Fe(n(R), (i)=>(b(), T("div", Be, f(i.projectEnglish), 1))), 256))
                                                                                        ]),
                                                                                    _: 1
                                                                                }),
                                                                                e(r, {
                                                                                    span: "5"
                                                                                }, {
                                                                                    default: t(()=>[
                                                                                            e(Se, {
                                                                                                shipInfo: n(d),
                                                                                                onRightClickSelect: V,
                                                                                                onItemClicked: ne,
                                                                                                ref_key: "itemRef",
                                                                                                ref: U
                                                                                            }, null, 8, [
                                                                                                "shipInfo"
                                                                                            ])
                                                                                        ]),
                                                                                    _: 1
                                                                                })
                                                                            ]),
                                                                        _: 1
                                                                    })
                                                                ]),
                                                            _: 1
                                                        })
                                                    ]),
                                                _: 1
                                            })
                                        ]),
                                    _: 1
                                })
                            ]),
                        _: 1
                    }),
                    e(Ee, {
                        ref_key: "modalRef",
                        ref: y,
                        shipInfo: n(d),
                        currentYear: n(u),
                        onSuccess: S
                    }, null, 8, [
                        "shipInfo",
                        "currentYear"
                    ]),
                    e(ie, {
                        show: n(p),
                        "onUpdate:show": l[3] || (l[3] = (i)=>g(p) ? p.value = i : null),
                        preset: "dialog",
                        title: n(o)("common.optionsApproveText"),
                        "positive-text": n(o)("common.saveText"),
                        "negative-text": n(o)("common.closeText"),
                        onPositiveClick: te
                    }, {
                        default: t(()=>[
                                e(N, {
                                    value: n(x),
                                    "onUpdate:value": l[2] || (l[2] = (i)=>g(x) ? x.value = i : null),
                                    type: "text",
                                    placeholder: "Please enter the reason for return"
                                }, null, 8, [
                                    "value"
                                ])
                            ]),
                        _: 1
                    }, 8, [
                        "show",
                        "title",
                        "positive-text",
                        "negative-text"
                    ]),
                    e(Ye, {
                        ref_key: "timeLineRef",
                        ref: F,
                        title: n(o)("drill.manage.timeLineTitle"),
                        logId: 24
                    }, null, 8, [
                        "title"
                    ]),
                    e(Le, {
                        ref_key: "extensionModalRef",
                        ref: H,
                        onSuccess: S
                    }, null, 512)
                ], 64);
            };
        }
    });
});
export { wt as default, __tla };
